Subject: Re: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Juri Linkov <[email-masked]>
Date: Mon, 27 Nov 2023 09:19:36 +0200

>> Does the below fix the problem, and is the Dired display after the
>> change correct when file names are truncated?
>
> Thanks Eli! I wasn't aware of the face of glyph and I confirm the
> dired display is correct with your fix.

Now that it works I was able to find a different problem:

  Debugger entered--Lisp error: (void-function t)
    t(#<overlay from 960 to 1016 in tmp/>)
    isearch-open-necessary-overlays(#<overlay from 960 to 1016 in tmp/>)
    isearch-clean-overlays()
    isearch-exit()
    funcall-interactively(isearch-exit)
    command-execute(isearch-exit)

because 'isearch-open-invisible' should be a function.
I wonder what would be a suitable function.
After searching for other uses I found a good example
in lisp/org/org-fold-core.el:

  (overlay-put o 'isearch-open-invisible #'delete-overlay)

that works nicely leaving the overlay open after exiting isearch in dired.